## tepl 5.0.1

=== meson_options.txt ===
option(
  'gtk_doc',
  type: 'boolean', value: false,
  description: 'Build API reference (requires gtk-doc)'
)

## tepl 4.2.0

=== debian/changelog ===
tepl (4.2.0-2) unstable; urgency=medium

  * Set HOME to fix dh_auto_test (Closes: #916363)
  * Add -Wl,-O1 to our LDFLAGS

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 13 Dec 2018 20:16:44 -0500

tepl (4.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #895688)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 10 Oct 2018 17:04:39 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: tepl
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: at-spi2-core <!nocheck>,
               dbus <!nocheck>,
               debhelper (>= 11),
               gnome-pkg-tools,
               gobject-introspection (>= 1.42.0),
               gtk-doc-tools (>= 1.25),
               gvfs <!nocheck>,
               libamtk-5-dev (>= 5.0),
               libglib2.0-dev (>= 2.52),
               libgirepository1.0-dev (>= 1.42.0),
               libgtk-3-dev (>= 3.22),
               libgtksourceview-4-dev (>= 4.0),
               libuchardet-dev,
               libxml2-dev (>= 2.5),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.2.1
X-Ubuntu-Use-Langpack: yes
Homepage: https://wiki.gnome.org/Projects/Tepl
Vcs-Browser: https://salsa.debian.org/gnome-team/tepl
Vcs-Git: https://salsa.debian.org/gnome-team/amtk.git

Package: libtepl-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-tepl-4 (= ${binary:Version}),
         libtepl-4-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Text editor library for GTK+ - development files
 Tepl is a library that eases the development of GtkSourceView-based text
 editors and IDEs. Tepl is the acronym for “Text editor product line”. It
 serves as an incubator for GtkSourceView.
 .
 This package contains the development headers and libraries.

Package: libtepl-4-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Text editor library for GTK+
 Tepl is a library that eases the development of GtkSourceView-based text
 editors and IDEs. Tepl is the acronym for “Text editor product line”. It
 serves as an incubator for GtkSourceView.

Package: gir1.2-tepl-4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Description: Text editor library for GTK+ - GObject introspection
 Tepl is a library that eases the development of GtkSourceView-based text
 editors and IDEs. Tepl is the acronym for “Text editor product line”. It
 serves as an incubator for GtkSourceView.
 .
 This package contains the GObject introspection binding.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =  -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

CHECK_HOME = $(CURDIR)/debian/tmp/home

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p -m0700 $(CHECK_HOME)
	HOME=$(CHECK_HOME) dbus-run-session -- xvfb-run dh_auto_test
endif

override_dh_install:
	find debian/ -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_clean:
	rm -rf $(CHECK_HOME)
	dh_clean

## tepl 4.4.0

=== debian/changelog ===
tepl (4.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0 (no further changes)
  * Bump debhelper compatibility to 12
  * debian/libtepl-4-dev.doc-base: Use the paths from /usr/share/doc, to
    please lintian
  * debian/control.in: Add several -doc packages to the build-dependencies so
    the links between the documentations are resolved properly

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 20:37:45 +0100

tepl (4.3.1-1) unstable; urgency=medium

  * New upstream release
  * Update package descriptions to match the upstream documentation update
    from GTK+ to GTK:
    - debian/control{,.in}
  * Add new public functions to the symbol file:
    - debian/libtepl-4-0.symbols

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Feb 2020 15:30:06 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: tepl
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: at-spi2-core <!nocheck>,
               dbus <!nocheck>,
               debhelper-compat (= 12),
               gnome-pkg-tools,
               gobject-introspection (>= 1.42.0),
               gtk-doc-tools (>= 1.25),
               gvfs <!nocheck>,
               libamtk-5-dev (>= 5.0),
               libgirepository1.0-dev (>= 1.42.0),
               libglib2.0-dev (>= 2.52),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.22),
               libgtk-3-doc,
               libgtksourceview-4-dev (>= 4.0),
               libgtksourceview-4-doc,
               libuchardet-dev,
               libxml2-dev (>= 2.5),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.5.0
X-Ubuntu-Use-Langpack: yes
Homepage: https://wiki.gnome.org/Projects/Tepl
Vcs-Browser: https://salsa.debian.org/gnome-team/tepl
Vcs-Git: https://salsa.debian.org/gnome-team/tepl.git

Package: libtepl-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-tepl-4 (= ${binary:Version}),
         libtepl-4-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Text editor library for GTK - development files
 Tepl is a library that eases the development of GtkSourceView-based text
 editors and IDEs. Tepl is the acronym for “Text editor product line”. It
 serves as an incubator for GtkSourceView.
 .
 This package contains the development headers and libraries.

Package: libtepl-4-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Text editor library for GTK
 Tepl is a library that eases the development of GtkSourceView-based text
 editors and IDEs. Tepl is the acronym for “Text editor product line”. It
 serves as an incubator for GtkSourceView.

Package: gir1.2-tepl-4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Description: Text editor library for GTK - GObject introspection
 Tepl is a library that eases the development of GtkSourceView-based text
 editors and IDEs. Tepl is the acronym for “Text editor product line”. It
 serves as an incubator for GtkSourceView.
 .
 This package contains the GObject introspection binding.

## tepl 5.0.0

=== debian/changelog ===
tepl (5.0.0-1~fakesync) groovy; urgency=medium

  * Fake sync from Debian NEW to groovy.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 08 Oct 2020 12:39:36 +0200

tepl (5.0.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control{,.in}:
    - Bump libglib2.0-dev build dependency requirement to 2.64
    - Remove the following build dependencies: libuchardet-dev and libxml2-dev
    - Add the following build dependencies: libicu-dev, meson, pkg-config
    - Rename binary packages to account for new major version and soname bump
    - Add the following runtime dependencies to the libtepl-5-dev package, to
      reflect the contents of the pc file and the public headers:
      libamtk-5-dev, libglib2.0-dev, libgtk-3-dev, libgtksourceview-4-dev
  * debian/copyright: update the license to LPGL 3 or later, following
    upstream
  * debian/libtepl-5-dev.doc-base: Change the doc-base document ID to tepl5
    to avoid conflicts
  * debian/libtepl-5-0.symbols: Update symbols

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 07 Oct 2020 09:47:54 +0100

## tepl 5.0.1

=== debian/changelog ===
tepl (5.0.1-2) unstable; urgency=medium

  * debian/rules: Call the gir sequence during the build

 -- Laurent Bigonville <bigon@debian.org>  Sat, 08 May 2021 10:23:06 +0200

tepl (5.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Dec 2020 15:03:09 +0100

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,15 @@
                gvfs <!nocheck>,
                libamtk-5-dev (>= 5.0),
                libgirepository1.0-dev (>= 1.42.0),
-               libglib2.0-dev (>= 2.52),
+               libglib2.0-dev (>= 2.64),
                libglib2.0-doc,
                libgtk-3-dev (>= 3.22),
                libgtk-3-doc,
                libgtksourceview-4-dev (>= 4.0),
                libgtksourceview-4-doc,
-               libuchardet-dev,
-               libxml2-dev (>= 2.5),
+               libicu-dev,
+               meson (>= 0.53),
+               pkg-config,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.5.0
@@ -32,12 +33,16 @@
 Vcs-Browser: https://salsa.debian.org/gnome-team/tepl
 Vcs-Git: https://salsa.debian.org/gnome-team/tepl.git
 
-Package: libtepl-4-dev
+Package: libtepl-5-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-tepl-4 (= ${binary:Version}),
-         libtepl-4-0 (= ${binary:Version}),
+Depends: gir1.2-tepl-5 (= ${binary:Version}),
+         libtepl-5-0 (= ${binary:Version}),
+         libamtk-5-dev (>= 5.0),
+         libglib2.0-dev (>= 2.64),
+         libgtk-3-dev (>= 3.22),
+         libgtksourceview-4-dev (>= 4.0),
          ${misc:Depends}
 Description: Text editor library for GTK - development files
  Tepl is a library that eases the development of GtkSourceView-based text
@@ -46,7 +51,7 @@
  .
  This package contains the development headers and libraries.
 
-Package: libtepl-4-0
+Package: libtepl-5-0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -56,7 +61,7 @@
  editors and IDEs. Tepl is the acronym for “Text editor product line”. It
  serves as an incubator for GtkSourceView.
 
-Package: gir1.2-tepl-4
+Package: gir1.2-tepl-5
 Section: introspection
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,16 @@
 CHECK_HOME = $(CURDIR)/debian/tmp/home
 
 %:
-	dh $@ --with gnome
+	dh $@ --with gnome,gir
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc
+	dh_auto_configure -- -Dgtk_doc=true
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
 	mkdir -p -m0700 $(CHECK_HOME)
 	HOME=$(CHECK_HOME) dbus-run-session -- xvfb-run dh_auto_test
 endif
-
-override_dh_install:
-	find debian/ -name '*.la' -print -delete
-	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing

## tepl 6.1.2

=== debian/changelog ===
tepl (6.1.2-1) unstable; urgency=medium

  * New upstream release
  * Reintroduce to Debian because gedit 43 will need it
  * Rename packages for soname bump
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * debian/control.in: Build-Depend on gsettings-desktop-schemas-dev
  * debian/control.in: Drop obsolete Build-Depends on gvfs
  * debian/control.in: Bump Standards-Version to 4.6.1
  * debian/libtepl-6-0.symbols: Update
  * debian/rules: Drop no-longer-needed -Wl,--as-needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2022 08:22:59 -0400

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
-               debhelper-compat (= 12),
-               gnome-pkg-tools,
-               gobject-introspection (>= 1.42.0),
+               debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
+               gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.25),
-               gvfs <!nocheck>,
                libamtk-5-dev (>= 5.0),
                libgirepository1.0-dev (>= 1.42.0),
                libglib2.0-dev (>= 2.64),
@@ -27,18 +27,19 @@
                pkg-config,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 X-Ubuntu-Use-Langpack: yes
-Homepage: https://wiki.gnome.org/Projects/Tepl
+Homepage: https://gitlab.gnome.org/swilmet/tepl
 Vcs-Browser: https://salsa.debian.org/gnome-team/tepl
 Vcs-Git: https://salsa.debian.org/gnome-team/tepl.git
+Rules-Requires-Root: no
 
-Package: libtepl-5-dev
+Package: libtepl-6-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-tepl-5 (= ${binary:Version}),
-         libtepl-5-0 (= ${binary:Version}),
+Depends: gir1.2-tepl-6 (= ${binary:Version}),
+         libtepl-6-0 (= ${binary:Version}),
          libamtk-5-dev (>= 5.0),
          libglib2.0-dev (>= 2.64),
          libgtk-3-dev (>= 3.22),
@@ -51,7 +52,7 @@
  .
  This package contains the development headers and libraries.
 
-Package: libtepl-5-0
+Package: libtepl-6-0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -61,7 +62,7 @@
  editors and IDEs. Tepl is the acronym for “Text editor product line”. It
  serves as an incubator for GtkSourceView.
 
-Package: gir1.2-tepl-5
+Package: gir1.2-tepl-6
 Section: introspection
 Architecture: any
 Multi-Arch: same

## tepl 6.2.0

=== debian/changelog ===
tepl (6.2.0-3) unstable; urgency=medium

  * debian/control.in: Update libtepl-6-dev's Depends to match its pkgconfig
    file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 08:20:46 -0500

tepl (6.2.0-2) unstable; urgency=medium

  * Revert bumping minimum amtk since the soname bump was reverted

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Nov 2022 15:58:16 -0500

tepl (6.2.0-1) unstable; urgency=medium

  * New upstream release
  * Rename library package for soname bump
  * debian/control.in: Bump minimum amtk to 5.6 for amtk's soname bump

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 16 Nov 2022 14:27:18 -0500

tepl (6.1.2-2) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 07:36:33 -0400

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-tepl-6 (= ${binary:Version}),
-         libtepl-6-0 (= ${binary:Version}),
+         gsettings-desktop-schemas-dev,
+         libtepl-6-1 (= ${binary:Version}),
          libamtk-5-dev (>= 5.0),
          libglib2.0-dev (>= 2.64),
          libgtk-3-dev (>= 3.22),
@@ -52,7 +53,7 @@
  .
  This package contains the development headers and libraries.
 
-Package: libtepl-6-0
+Package: libtepl-6-1
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},

## tepl 6.4.0

=== meson_options.txt ===
option(
  'gobject_introspection',
  type: 'boolean', value: true,
  description: 'Build GObject Introspection data (requires gobject-introspection)'
)

option(
  'gtk_doc',
  type: 'boolean', value: true,
  description: 'Build API reference (requires gtk-doc)'
)

=== debian/changelog ===
tepl (6.4.0-7ubuntu1) lunar; urgency=medium

  * debian/control.in:
    - remove 'X-Ubuntu-Use-Langpack: yes', the template name changed and the
      one wasn't accepted on launchpad so the translations are missing from
      the langpacks, we aren't going to get a respin of those for lunar so
      go back to have the translations included in the deb. Resolve the
      issue when some strings in gedit show untranslated (lp: #2016923)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 18 Apr 2023 15:32:02 +0200

tepl (6.4.0-7build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 11:08:22 -0500

tepl (6.4.0-7) unstable; urgency=medium

  * Have the library package depend on the -common package

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 Jan 2023 18:57:22 -0500

tepl (6.4.0-6) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 Jan 2023 22:55:24 -0500

tepl (6.4.0-5) experimental; urgency=medium

  * Add libtepl-common package for smoother library transitions in the future
    (Closes: #1024388)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Jan 2023 15:40:24 -0500

tepl (6.4.0-4) unstable; urgency=medium

  * Add Breaks & Replaces against older library versions (Closes: #1024388)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 Jan 2023 09:35:36 -0500

tepl (6.4.0-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 21:39:08 -0500

tepl (6.4.0-2) experimental; urgency=medium

  * New upstream release
  * Rename library package to match soname bump
  * Update debian/libtepl-6-2.symbols
  * Update debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 03 Jan 2023 16:02:23 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: tepl
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -28,7 +29,6 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.6.1
-X-Ubuntu-Use-Langpack: yes
 Homepage: https://gitlab.gnome.org/swilmet/tepl
 Vcs-Browser: https://salsa.debian.org/gnome-team/tepl
 Vcs-Git: https://salsa.debian.org/gnome-team/tepl.git
@@ -40,7 +40,7 @@
 Multi-Arch: same
 Depends: gir1.2-tepl-6 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
-         libtepl-6-1 (= ${binary:Version}),
+         libtepl-6-2 (= ${binary:Version}),
          libamtk-5-dev (>= 5.0),
          libglib2.0-dev (>= 2.64),
          libgtk-3-dev (>= 3.22),
@@ -53,15 +53,33 @@
  .
  This package contains the development headers and libraries.
 
-Package: libtepl-6-1
+Package: libtepl-6-2
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libtepl-common (>= ${source:Version})
 Description: Text editor library for GTK
  Tepl is a library that eases the development of GtkSourceView-based text
  editors and IDEs. Tepl is the acronym for “Text editor product line”. It
  serves as an incubator for GtkSourceView.
+
+Package: libtepl-common
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Breaks: libtepl-6-2 (<< 6.4.0-5~),
+        libtepl-6-1,
+        libtepl-6-0
+Replaces: libtepl-6-2 (<< 6.4.0-5~),
+          libtepl-6-1,
+          libtepl-6-0
+Description: Text editor library for GTK (common files)
+ Tepl is a library that eases the development of GtkSourceView-based text
+ editors and IDEs. Tepl is the acronym for “Text editor product line”. It
+ serves as an incubator for GtkSourceView.
+ .
+ This package contains architecture-independent files such as translations.
 
 Package: gir1.2-tepl-6
 Section: introspection

## tepl 6.8.0

=== debian/changelog ===
tepl (6.8.0-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:27:00 +0000

tepl (6.8.0-2build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:41:38 +0000

tepl (6.8.0-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:06:16 +0000

tepl (6.8.0-2build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:08:00 +0100

tepl (6.8.0-2) unstable; urgency=medium

  * Stop using debian/control.in
  * Drop X-Ubuntu-Use-Langpack from debian/control
  * Drop the now unnecessary dh-sequence-gnome from Build-Depends

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 08 Nov 2023 16:43:37 +0200

tepl (6.8.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Add myself to uploaders
  * debian/control.in: Adjust dependencies according to upstream
  * debian/control.in: Update standards version to 4.6.2, no changes needed
  * debian/control.in: Rename library package to match soversion bump
  * debian/libtepl-6-4.symbols: Update symbols following upstream
  * debian/copyright: Bump copyright years and list contributors to
    debian/* thus far

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 18 Oct 2023 16:05:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,29 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: tepl
 Section: libs
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Tanguy Ortolo <tanguy+debian@ortolo.eu>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.25),
-               libamtk-5-dev (>= 5.0),
+               libgedit-amtk-dev (>= 5.8),
                libgirepository1.0-dev (>= 1.42.0),
-               libglib2.0-dev (>= 2.64),
+               libglib2.0-dev (>= 2.74),
                libglib2.0-doc,
                libgtk-3-dev (>= 3.22),
                libgtk-3-doc,
-               libgtksourceview-4-dev (>= 4.0),
-               libgtksourceview-4-doc,
+               libgedit-gtksourceview-dev (>= 299.0.4),
+               libgedit-gtksourceview-300-doc,
                libicu-dev,
                meson (>= 0.53),
                pkg-config,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/swilmet/tepl
 Vcs-Browser: https://salsa.debian.org/gnome-team/tepl
 Vcs-Git: https://salsa.debian.org/gnome-team/tepl.git
@@ -40,11 +35,11 @@
 Multi-Arch: same
 Depends: gir1.2-tepl-6 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
-         libtepl-6-2 (= ${binary:Version}),
-         libamtk-5-dev (>= 5.0),
-         libglib2.0-dev (>= 2.64),
+         libtepl-6-4 (= ${binary:Version}),
+         libgedit-amtk-dev (>= 5.8),
+         libglib2.0-dev (>= 2.74),
          libgtk-3-dev (>= 3.22),
-         libgtksourceview-4-dev (>= 4.0),
+         libgedit-gtksourceview-dev (>= 299.0.4),
          ${misc:Depends}
 Description: Text editor library for GTK - development files
  Tepl is a library that eases the development of GtkSourceView-based text
@@ -53,7 +48,7 @@
  .
  This package contains the development headers and libraries.
 
-Package: libtepl-6-2
+Package: libtepl-6-4
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -68,10 +63,12 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: libtepl-6-2 (<< 6.4.0-5~),
+Breaks: libtepl-6-4 (<< 6.8.0-1~),
+        libtepl-6-2,
         libtepl-6-1,
         libtepl-6-0
-Replaces: libtepl-6-2 (<< 6.4.0-5~),
+Replaces: libtepl-6-4 (<< 6.8.0-1~),
+          libtepl-6-2,
           libtepl-6-1,
           libtepl-6-0
 Description: Text editor library for GTK (common files)

## tepl 6.12.0

=== debian/changelog ===
tepl (6.12.0-2) unstable; urgency=medium

  * Add missing Depends to -dev package
  * Add Provides: libgedit-tepl-dev to -dev package for future rename
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 17:18:04 -0500

tepl (6.12.0-1) experimental; urgency=medium

  * New upstream release
  * Rename library from libtepl-6-4 to libgedit-tepl-6-2
    to match name & soname change
  * Update symbols file
  * Update Homepage, debian/upstream/metadata, and debian/watch
  * Add Build-Depends: libgedit-gfls-dev & libhandy-1-dev
  * Bump minimum libgedit-gtksourceview
  * Add ${gir:Depends} ${gir:Provides} to -dev package
  * Run wrap-and-sort
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 23 Jan 2025 19:54:52 -0500

=== debian/control ===
Source: tepl
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               at-spi2-core <!nocheck>,
               dbus <!nocheck>,
               gir1.2-gtk-3.0-dev,
               gir1.2-gtksource-300-dev,
               gsettings-desktop-schemas-dev (>= 42),
               gtk-doc-tools (>= 1.25),
               libgedit-amtk-dev (>= 5.8),
               libgedit-gfls-dev,
               libgedit-gtksourceview-300-doc,
               libgedit-gtksourceview-dev (>= 299.1.0),
               libgirepository1.0-dev (>= 1.42.0),
               libglib2.0-dev (>= 2.74),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.22),
               libgtk-3-doc,
               libhandy-1-dev (>= 1.6),
               libicu-dev,
               meson (>= 0.53),
               pkgconf,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.7.0
Homepage: https://gedit-text-editor.org/technology.html
Vcs-Browser: https://salsa.debian.org/gnome-team/tepl
Vcs-Git: https://salsa.debian.org/gnome-team/tepl.git
Rules-Requires-Root: no

Package: libtepl-6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gsettings-desktop-schemas-dev,
         libgedit-amtk-dev (>= 5.8),
         libgedit-gfls-dev,
         libgedit-gtksourceview-dev (>= 299.1.0),
         libgedit-tepl-6-2 (= ${binary:Version}),
         libglib2.0-dev (>= 2.74),
         libgtk-3-dev (>= 3.22),
         libhandy-1-dev (>= 1.6),
         libicu-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}, libgedit-tepl-dev (= ${binary:Version})
Description: Text editor library for GTK - development files
 Tepl is a library that eases the development of GtkSourceView-based text
 editors and IDEs. Tepl is the acronym for “Text editor product line”. It
 serves as an incubator for GtkSourceView.
 .
 This package contains the development headers and libraries.

Package: libgedit-tepl-6-2
Architecture: any
Multi-Arch: same
Depends: libtepl-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Text editor library for GTK
 Tepl is a library that eases the development of GtkSourceView-based text
 editors and IDEs. Tepl is the acronym for “Text editor product line”. It
 serves as an incubator for GtkSourceView.

Package: libtepl-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libtepl-6-0, libtepl-6-1, libtepl-6-2, libtepl-6-4 (<< 6.8.0-1~)
Replaces: libtepl-6-0, libtepl-6-1, libtepl-6-2, libtepl-6-4 (<< 6.8.0-1~)
Description: Text editor library for GTK (common files)
 Tepl is a library that eases the development of GtkSourceView-based text
 editors and IDEs. Tepl is the acronym for “Text editor product line”. It
 serves as an incubator for GtkSourceView.
 .
 This package contains architecture-independent files such as translations.

Package: gir1.2-tepl-6
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: Text editor library for GTK - GObject introspection
 Tepl is a library that eases the development of GtkSourceView-based text
 editors and IDEs. Tepl is the acronym for “Text editor product line”. It
 serves as an incubator for GtkSourceView.
 .
 This package contains the GObject introspection binding.

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/libgedit-tepl/cache.json \
	[\d.]+/libgedit-tepl-([\d.]+)@ARCHIVE_EXT@
